Firefox updates 3.0.2 / 2.0.0.17

If you want to talk about your personal paperweight, you've found the right place!

Moderator: Moderators

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby Fitzcarraldo » Sat Oct 04, 2008 6:19

^Tried those, and then 3.0.3 would run but hang at the loading of the Mozilla Firefox 3.0.3 welcome page, and finally would crash with a segmentation fault:

Code: Select all
$ firefox
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/nphelix.so [/opt/netscape/plugins/nphelix.so: wrong ELF class: ELFCLASS32]
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/nphelix.so [/opt/netscape/plugins/nphelix.so: wrong ELF class: ELFCLASS32]
Segmentation fault

Even tried merging mozilla-firefox-bin and that didn't work either. I've checked all the symlinks, and they're all OK. Emerged nspluginwrapper again, with and without nsplugin USE flag enabled, and tried a few other things, but to no avail. Anyway, I again did:

Code: Select all
emerge -C mozilla-firefox
emerge -1v =mozilla-firefox-2.0.0.17

and, as before, 2.0.0.17 works with no problems. The terminal messages for 2.0.0.17 are shown below, and you can see that the same error messages are displayed as for 3.0.3, so the cause of the segmentation fault in the case of 3.0.3 must be something else.

Code: Select all
$ firefox
No running windows found
Removing /home/fitzcarraldo/.mozilla/firefox/uq3g6doz.default/compreg.dat leftover from older firefox
Removing /home/fitzcarraldo/.mozilla/firefox/uq3g6doz.default/XUL.mfasl leftover from older firefox
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
which: no soundwrapper in (/usr/bin:/bin:/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.2.4:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/qt/3/bin:/usr/games/bin)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
LoadPlugin: failed to initialize shared library /usr/lib/nsbrowser/plugins/libvlcplugin.so [libxul.so: cannot open shared object file: No such file or directory]
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/nphelix.so [/opt/netscape/plugins/nphelix.so: wrong ELF class: ELFCLASS32]
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
LoadPlugin: failed to initialize shared library /usr/lib/nsbrowser/plugins/libvlcplugin.so [libxul.so: cannot open shared object file: No such file or directory]
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/nphelix.so [/opt/netscape/plugins/nphelix.so: wrong ELF class: ELFCLASS32]


Mozilla Firefox is now on my list of bad applications! Mind you, 3.0.3 works fine under Vista on one of my PCs. :twisted:
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7984
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby wolfden » Sat Oct 04, 2008 10:03

give firefox-bin a try - it will work.

I have no idea what gentoo has done to Firefox, but I'm not happy with 3.0.x either. Windows, works fine and also archlinux it works fine. If you find the problem, I'm all ears.
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby Fitzcarraldo » Sat Oct 04, 2008 10:18

Fitzcarraldo wrote:Even tried merging mozilla-firefox-bin and that didn't work either.


I had no luck with that either, wolfden.

I haven't done much searching yet, but have noticed some posts about it on other forums, so it's not an SL-specific or Gentoo-specific problem.
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7984
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby wolfden » Sat Oct 04, 2008 21:10

oh my

I don't understand it myself 2.x works fine but 3.x, augh
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Previous

Return to Off Topic

Who is online

Users browsing this forum: No registered users and 1 guest